body {
    font-family: 'Arial', sans-serif;
    background-color: #f5f5f5;
    margin: 0;
    padding: 0;
}

.container {
    max-width: 1000px;
    margin: 0 auto;
    padding: 40px 20px;
}

h1 {
    text-align: center;
    font-size: 2.5em;
    color: #333;
    margin-bottom: 50px;
}

/* Timeline Styles */
.timeline {
    position: relative;
    margin: 0 auto;
    padding: 10px 0;
    list-style: none;
}

.timeline:before {
    content: '';
    position: absolute;
    left: 50%;
    top: 0;
    bottom: 0;
    width: 4px;
    background: #fa0000;
    transform: translateX(-50%);
}

.timeline-event {
    position: relative;
    width: 50%;
    padding: 20px 40px;
    box-sizing: border-box;
}

.timeline-event:nth-child(odd) {
    left: 0;
    text-align: right;
}

.timeline-event:nth-child(even) {
    left: 50%;
}

.timeline-event .event-content {
    background: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    position: relative;
    z-index: 1;
}

.timeline-event:nth-child(odd) .event-content {
    margin-right: 30px;
}

.timeline-event:nth-child(even) .event-content {
    margin-left: 30px;
}

.timeline-event .event-date {
    position: absolute;
    top: 20px;
    width: 60px;
    height: 60px;
    background-color: #fa0000;
    color: white;
    font-size: 20px;
    line-height: 60px;
    text-align: center;
    border-radius: 50%;
    z-index: 2;
    left: 50%;
    transform: translateX(-50%);
}

.timeline-event .icon {
    font-size: 2em;
    color: #fa0000;
    margin-bottom: 10px;
}
.timeline-event .event-content p {
    text-align: left; /* Đảm bảo văn bản luôn căn lề trái */
    font-size: 1.1em;
    line-height: 1.6;
    margin-top: 10px;
    color: #555;
}
/* Hình ảnh đối diện sự kiện */
.timeline-event .event-image {
    position: absolute;
    top: 0;
    width: 40%;
    height: auto;
    max-width: 300px;
}

.timeline-event:nth-child(odd) .event-image {
    right: -50%;
}

.timeline-event:nth-child(even) .event-image {
    left: -50%;
}

.timeline-event .event-image img {
    width: 100%;
    height: auto;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

@media only screen and (min-width: 768px) and (max-width: 1024px) and (orientation: portrait) {
 {


    .footer-content {
        flex-direction: column;
        text-align: center;
    }

    .footer-sections {
        flex-direction: column;
    }

    .map-container iframe {
        width: 100%;
        height: 200px; /* Thu nhỏ kích thước của bản đồ */
    }
}
